Net::Stomp::StupidLogger(3pm)

NAME
Net::Stomp::StupidLogger - stub logger

DESCRIPTION
This class implements a very simple logger-like object, that just delegates to carp.

By default, it logs at "warn" and above.

Net::Stomp used to use this, but now it just uses Log::Any, so this package is here just in case someone else was using it.

METHODS

  new
Constructor. You can pass a hashref with the log levels to enable / disable, like:

  Net::Stomp::StupidLogger->new({debug=>1}); # logs debug, warn,
                                             # error, fatal

  Net::Stomp::StupidLogger->new({warn=>0}); # logs error, fatal

  debug

  info

  warn

  error

  fatal
  $logger->warn('some',$message);

If the corresponding level is enabled, joins the arguments in a single string (no spaces added) and calls carp.

AUTHORS
Gianni Ceccarelli <dakkar@thenautilus.net>

COPYRIGHT
This module is free software; you can redistribute it or modify it under the same terms as Perl itself.